.PHONY: clean, mrproper
CC = gcc
CFLAGS = -g -Wall

all: ex3 ex4 ex5 group

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

ex3: ex3.o
	$(CC) $(CFLAGS) -o $@ $+

ex4: ex4.o
	$(CC) $(CFLAGS) -o $@ $+

ex5: ex5.o
	$(CC) $(CFLAGS) -o $@ $+

group: group.o
	$(CC) $(CFLAGS) -o $@ $+

clean:
	rm -f *.o core.*

mrproper: clean
	rm -f ex3 ex4 ex5 group

run: group
	./group
